
- [+] implement MVP
  - [x] minimal catalog => currently 124 entries
  - [x] search catalog
  - [x] local current versions
  - [x] latest version, github strategy
  - [+] intall,
    - [x] github+linux+x86_64+tgz strategy
    - [ ] prompt user to override current file/symlink

- [*] code style => blake, defaults

- [ ] tests
  - [ ] catalog completion report:
    - has github repo
    - has release
    - has semver release
    - output semver on `--version`
    - has linux + x86_64 + tgz asset
    - has exe at a known place
  - [ ] cli x (not there, there with old version, there with latest version)

- [ ] choose forge(s), one will be the golden source of the catalog
  * github
  * gitlab
  * framagit
  * codeberg <= golden source
  * source hut
  * my gitea

- [ ] reserve name
  - [ ] GH
	- [ ] Pypi

- [ ] release
  - [ ] GH release
	- [ ] pypi package

- [ ] landing page
  - [x] publish catalog
    - [ ] replace jinja2 with [minijinja](https://github.com/mitsuhiko/minijinja/discussions/523)


- [ ] open an issue in managed tool forge asking to add support for `--version` and semver
- [ ] open an issue in managed tool forge asking to add cliget install method

- [ ] communicate on geeks'platform : HN, lobsters, reddit, linuxfr

- [ ] post MVP improvement
  - [ ] check local env:
    - [ ] existence of `.local`, `.local/programs`, `.local/bin`
    - [ ] that permissions are ok
    - [ ] that `.local/bin` are in `PATH`
  - [ ] UI, add some progress to install (steps : 1/5 check current version, 2/5 ..)
  - [ ] allow to list versions
  - [ ] allow to force installation of a given version
  - [-] improve search algorithm, fuzzing
    - [+] adjust fuzzing formula => lower the weight of title
    - [ ] build tests
  - [ ] async loading of versions ; fill output when available
  - [ ] cache GH response for a given time
  - [ ] explore a way to combine docopt and baker
  - [ ] look at fig completions
